Subject: Re: bug#49246: closed (Re: bug#49246: [PATCH] libtool with mingw hangs in func_convert_core_msys_to_w32)

From: [email-masked]
Date: Sat, 17 Aug 2024 13:15:50 -0600

On 2024-08-17 08:44, Nick Bowler wrote:
> On 2024-08-17 10:12, [email-masked] wrote:
>> The same libtool can be run from a Cygwin, Msys2/Mingw64, or
>> Msys/Mingw/32 shell: as far as I know such recent shells are derived
>> from Cygwin or upstream dash/mksh/tcsh sources, and I do not remember
>> any such Windows switch or drive mangling, unless by ancient legacy
>> original Mingw/32/Msys shells, which are unlikely to still be in use
>> nowadays, as development and support likely long moved to their
>> successors.
> 
> It works just as I described in a reasonably recent version of MSYS2 (I
> have version 20240113 installed) on a current version of Windows:
>    $ cmd //c echo /home
>    C:/msys64/home
>    $ cmd /c echo /home
>    Microsoft Windows [Version 10.0.22621.3880]
>    (c) Microsoft Corporation, All rights reserved.
>    C:\msys64\home\nbowler>
> Virtually identical behaviour is observed with a very old MSYS 1.0.8
> installation on Windows 98:
>    $ cmd //c echo /home
>    D:/MSYS/1.0/home
>    $ cmd /c echo /home
>    Invalid switch
>    Too many parameters
>    Too many parameters
>    Invalid switch
>    Invalid switch
>    Invalid switch
>    Microsoft(R) Windows 98
>       (C)Copyright Microsoft Corp 1989-1999.
>    D:\DJGPP\home>

Those kinds of issues could be why I skipped Msys/2/Mingw/32, and disliking 
AT&T, Sun, 386BSD, and MKS buffer and size limitations, stuck with my own GNU 
ports and DJGPP, until I got a Windows version that ran Cygwin!

In one part of the wiki it says to skip conversion use:

	MSYS2_ARG_CONV_EXCL=*

so is the the best advice for our user?

-- 
Take care. Thanks, Brian Inglis              Calgary, Alberta, Canada

La perfection est atteinte                   Perfection is achieved
non pas lorsqu'il n'y a plus rien à ajouter  not when there is no more to add
mais lorsqu'il n'y a plus rien à retirer     but when there is no more to cut
                                 -- Antoine de Saint-Exupéry